Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.exception.internal
Class StandardSQLExceptionConverter

    java.lang.Object
      org.hibernate.exception.internal.StandardSQLExceptionConverter

All Implemented Interfaces:
  Serializable, SQLExceptionConverter

Direct Known Subclasses:
  SQLStateConverter

    public class StandardSQLExceptionConverter

extends Object
implements SQLExceptionConverter

See Also:
  Serialized Form

Constructor Summary
`StandardSQLExceptionConverter()`

Method Summary
`void` | `addDelegate(SQLExceptionConversionDelegate delegate)`
`JDBCException` | `convert(SQLException sqlException, String message, String sql)` Convert the given SQLException into the Hibernate `JDBCException` hierarchy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardSQLExceptionConverter

    public StandardSQLExceptionConverter()

Method Detail

### addDelegate

    public void addDelegate(SQLExceptionConversionDelegate delegate)

### convert

    public JDBCException convert(SQLException sqlException,
                                 String message,
                                 String sql)

  Description copied from interface: `SQLExceptionConverter`
  Convert the given SQLException into the Hibernate `JDBCException` hierarchy.

  Specified by:
    `convert` in interface `SQLExceptionConverter`
  Parameters:
    `sqlException` - The SQLException to be converted.
    `message` - An optional error message.
  Returns:
    The resulting JDBCException.
  See Also:
    `, JDBCConnectionException, SQLGrammarException, LockAcquisitionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.